package domain


type AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo struct {
    /*
        退款审核人     */
    Wdkrc  *string `json:"wdkrc,omitempty" `

    /*
        退款审核备注     */
    Wdkrcm  *string `json:"wdkrcm,omitempty" `

    /*
        退款发起人     */
    Wdkrfqr  *string `json:"wdkrfqr,omitempty" `

    /*
        退款理由     */
    Wdkdfqrrr  *string `json:"wdkdfqrrr,omitempty" `

    /*
        退款发起备注     */
    Wdkrfqrmemo  *string `json:"wdkrfqrmemo,omitempty" `

    /*
        外部退款单号     */
    Rprid  *string `json:"rprid,omitempty" `

    /*
        实际退货数量     */
    Wdkfra  *string `json:"wdkfra,omitempty" `

    /*
        实际退款金额     */
    Wdkrf  *string `json:"wdkrf,omitempty" `

}

func (s *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo) SetWdkrc(v string) *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo {
    s.Wdkrc = &v
    return s
}
func (s *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo) SetWdkrcm(v string) *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo {
    s.Wdkrcm = &v
    return s
}
func (s *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo) SetWdkrfqr(v string) *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo {
    s.Wdkrfqr = &v
    return s
}
func (s *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo) SetWdkdfqrrr(v string) *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo {
    s.Wdkdfqrrr = &v
    return s
}
func (s *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo) SetWdkrfqrmemo(v string) *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo {
    s.Wdkrfqrmemo = &v
    return s
}
func (s *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo) SetRprid(v string) *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo {
    s.Rprid = &v
    return s
}
func (s *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo) SetWdkfra(v string) *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo {
    s.Wdkfra = &v
    return s
}
func (s *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo) SetWdkrf(v string) *AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderInfo {
    s.Wdkrf = &v
    return s
}
